PLM之家PLMHome

[求助] 弹出use askusermessage() or asksyslogmessage()错误

  [复制链接]

2021-9-2 14:16:52 9302 5

zengbiao 发表于 2018-7-7 20:27:16 |阅读模式

zengbiao 楼主

2018-7-7 20:27:16

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?注册

x
做UI界面时弹出这个错误3 c' q7 @8 J2 P, U+ P0 q
int NX10_daoyuanjiao::apply_cb()
& _3 V& j  B1 Y6 b) ?' D9 g' Z{
. k2 w- F! f2 A4 H4 {# m    int errorCode = 0;
2 _5 a3 Z  X9 |% O& g    try
% N7 |, f  N+ \1 V6 X' G    {
8 s4 N; w# y) V* t) O. h' D        //---- Enter your callback code here -----
7 V- x5 c! h& v* d                  UF_initialize();
' I+ P1 Y4 J* T+ A4 e          NXOpen::BlockStyler:PropertyList* DirectionToExtrudeproplist = face_select0->GetProperties();
. i4 E, e+ J. v          std::vector<NXOpen::TaggedObject *>objects = DirectionToExtrudeproplist->GetTaggedObjectVector("SelectedObjects");5 C/ D- P0 s8 q' u' k
                  delete DirectionToExtrudeproplist;
/ Q% N: T% Z' Q( r                  DirectionToExtrudeproplist= NULL;1 |( r* {. _! y- {
                  5 y" u2 j* h( g7 p& K
              for ( int i=0;i<objects.size();i++) // size 列表长度,这里指的是 对象个数( X. S8 R2 v- L
              {   
$ Y) l) [2 }) h8 H3 {                                 UF_OBJ_set_color(objects->Tag(),1);//给选中的对象更改颜色. c- ^3 c: U( u2 V
              }1 h4 Q) g( w- ]2 R

0 C- W! x0 k" H      UF_terminate();
4 }6 ~6 N# O4 @- b, [    }: R+ \2 [. K4 u- ~
    caTCh(exception& ex)
8 s% P2 J# [( U$ q1 v6 ^    {; }, ^" J; }, X. |
        //---- Enter your exception handling code here -----5 w  {* C+ V" g/ y& J+ f/ s0 |- A# t4 V
        errorCode = 1;* \# N; D  U- r2 ]
        NX10_daoyuanjiao::theUI->NXMessageBox()->Show("Block Styler", NXOpen::NXMessageBox:DialogTypeError, ex.what());/ {4 u+ P8 G2 h5 |0 Z$ m: Y
    }
; O& `' g1 [; B/ T8 |. _9 k6 t7 ?    return errorCode;- O) G4 r  M8 \; ^3 ?. \
}- X; l/ _# x- t, G' D
% f& N8 m2 _0 d4 N. u7 j5 U, l
最后调试的时候发现就是标红语句的问题,有大佬知道怎么解决吗
, [6 E! |( ^2 m) i& d" M' {2 x
捕获.JPG
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

全部回复5

admin 发表于 2018-7-9 16:44:26

admin 沙发

2018-7-9 16:44:26

face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

zengbiao 发表于 2018-7-9 19:42:10

zengbiao 板凳

2018-7-9 19:42:10

admin 发表于 2018-7-9 16:44
( {% m& Z+ J& [# L% [1 ^3 E0 Uface_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本

9 o! l) v4 j& ?' h6 r谢谢你指导,我解决了,应该是版本匹配的问题
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

zjb9151 发表于 2019-12-5 17:40:52

zjb9151 地板

2019-12-5 17:40:52

666666666666666666666666666666666
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

zjb9151 发表于 2019-12-6 09:33:57

zjb9151 5#

2019-12-6 09:33:57

66666666666666666666666666666
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

zwz 发表于 2021-9-2 14:16:52

zwz 6#

2021-9-2 14:16:52

很有用的帖子,学习学习
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

:
新手上路
:
1963869478@qq.com
:
未填写
:
未填写
:
未填写

主题1

帖子4

积分25

图文推荐

  • Tecnomatix 二次开发入门教程 3 第一个hell

    Tecnomatix 二次开发入门教程 3 第一个hello plm

  • 官方文档,NX12 使用 Python进行二次开发相

    官方文档,NX12 使用 Python进行二次开发相关配

  • PLM之家NX插件V8.0.0.0发布,支持NX1847版

    PLM之家NX插件 ============================

  • Teamcenter12.0 汽车解决方案TcAE 入门教程

    Teamcenter12.0 汽车解决方案TcAE 入门教程 *

  • 获取孔的坐标

    想请问一下怎么操作能获得孔的坐标(孔在加工面上

  • 发布新帖

  • 在线客服

  • 微信

  • 客户端

  • 返回顶部

  • x
    PLM之家(plmhome.com)提供专业的实施-开发-培训

    扫码关注,海量教程免费学习,不断更新!

    关注plm之家plmhome公众号

    哥已知晓